Index: netinet/tcp_output.c
===================================================================
--- netinet/tcp_output.c	(revision 245450)
+++ netinet/tcp_output.c	(working copy)
@@ -173,7 +173,7 @@
 	struct ipovly *ipov = NULL;
 	struct tcphdr *th;
 	u_char opt[TCP_MAXOLEN];
-	unsigned ipoptlen, optlen, hdrlen;
+	int ipoptlen, optlen, hdrlen;
 #ifdef IPSEC
 	unsigned ipsec_optlen = 0;
 #endif
@@ -684,10 +684,10 @@
 	optlen = 0;
 #ifdef INET6
 	if (isipv6)
-		hdrlen = sizeof (struct ip6_hdr) + sizeof (struct tcphdr);
+		hdrlen = (int)(sizeof(struct ip6_hdr) + sizeof(struct tcphdr));
 	else
 #endif
-		hdrlen = sizeof (struct tcpiphdr);
+		hdrlen = (int)sizeof(struct tcpiphdr);
 
 	/*
 	 * Compute options for segment.
